# Uses of Class
org.eclipse.jdt.core.dom.rewrite.ListRewrite

Packages that use ListRewrite
Package
Description
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of ListRewrite in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return ListRewrite
Modifier and Type
Method
Description
`final ListRewrite`
ASTRewrite.`getListRewrite(ASTNode node, ChildListPropertyDescriptor property)`
Creates and returns a new rewriter for describing modifications to the given list property of the given node.